# Class SimpleTree

java.lang.Object
jspecview.tree.SimpleTree

All Implemented Interfaces:
  `JSVTree`

public class SimpleTree extends Object implements JSVTree

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ScriptInterface`
`si`
`protected JSViewer`
`vwr`

## Constructor Summary

Constructors
Constructor
Description
`SimpleTree(JSViewer viewer)`

## Method Summary

Modifier and Type
Method
Description
`JSVTreeNode`
`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`void`
`deleteNodes(Lst<JSVTreeNode> toDelete)`
`JSVTreeNode`
`getRootNode()`
`JSVTreePath`
`newTreePath(Object[] path)`
`void`
`setPath(JSVTreePath path)`
`void`
`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`
`void`
`valueChanged()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### si

protected ScriptInterface si

### vwr

protected JSViewer vwr

## Constructor Details

### SimpleTree

public SimpleTree(JSViewer viewer)

## Method Details

### getRootNode

public JSVTreeNode getRootNode()

Specified by:
  `getRootNode` in interface `JSVTree`

### valueChanged

public void valueChanged()

### setSelectedPanel

public void setSelectedPanel(ScriptInterface si, JSVPanel jsvp)

Specified by:
  `setSelectedPanel` in interface `JSVTree`

### createTree

public JSVTreeNode createTree(int fileCount, JDXSource source, JSVPanel[] panels)

Specified by:
  `createTree` in interface `JSVTree`

### setPath

public void setPath(JSVTreePath path)

Specified by:
  `setPath` in interface `JSVTree`

### newTreePath

public JSVTreePath newTreePath(Object[] path)

Specified by:
  `newTreePath` in interface `JSVTree`

### deleteNodes

public void deleteNodes(Lst<JSVTreeNode> toDelete)

Specified by:
  `deleteNodes` in interface `JSVTree`